#!/bin/sh
#Improved version of my other notes.sh script
editor=vim
mkdir ${HOME}/.notes_data/
while true; do
clear
echo -e "What would you like to do? \n1: list notepads \n2: make notepad \n3: edit notepad \n4: remove notepad"
read -p "ctrl + c to exit: " ans
clear
case ${ans} in
	1)
		ls ${HOME}/.notes_data/
		read -p "Press enter to continue: "
		;;
	2)
		read -p "Notepad name: " name	
		touch ${HOME}/.notes_data/${name}
		;;
	3)
		read -p "Notepad name: " name
		$editor ${HOME}/.notes_data/${name}
		;;
	4)
		read -p "Notepad name: " name
		clear
		read -p "Are you sure you want to remove ${name}? [y/N]: " ans
		case ${ans} in 
			y|Y)
				rm ${HOME}/.notes_data/${name}
		esac
		;;
	*)
		echo "Error, invalid option"
		sleep 3
		;;
esac
clear
done
